Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Paul Nelson <[email-masked]>
Date: Mon, 1 Jul 2024 17:53:16 +0200

On Mon, Jul 1, 2024 at 9:50 AM Arash Esbati <[email-masked]> wrote:
>
> Thanks.  I wonder why we can't leave this decision to the user?
>

My thought was that making AUCTeX load automatically in src mode
blocks is similar to doing the same for tex files.  Both require
adjustments that could be left to the user, but have been automatic
for at least a couple decades.  While forcing such adjustments via
tex-site goes against the general convention that loading packages
should have no direct effect, there is ultimately no loss of
flexibility, since the user can always tweak major-mode-remap-alist
and org-src-lang-modes after AUCTeX loads.  The question is what
should be the default behavior.  Here I would vote in favor of the
established practice, to spare other users the issue noted by Robert
(which I had also encountered).